Show Secret

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api.onetimesecret.com/doc/api-v1/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"v1 - Secrets API (legacy) MCP server": {
  "url": "https://api.onetimesecret.com/doc/api-v1/mcp"
}
Close
POST /api/v1/secret/{key}

Path parameters

  • key string Required

    The key parameter

application/x-www-form-urlencoded

Body Required

object object

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • value string Required
    • secret_key string Required
    • share_domain string Required
  • 400 application/json

    Bad Request - Invalid request parameters or body

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 401 application/json

    Unauthorized - Authentication required

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 403 application/json

    Forbidden - Insufficient permissions

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 404 application/json

    Not Found - Resource does not exist

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 422 application/json

    Unprocessable Entity - Validation failed

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 429 application/json

    Too Many Requests - Rate limit exceeded

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

  • 500 application/json

    Internal Server Error - Something went wrong

    Hide response attributes Show response attributes object
    • error string

      Error type identifier (e.g., "FormError")

    • message string Required

      Human-readable error message

    • field string

      Field that caused the error, if applicable

    • error_id string

      Unique error tracking identifier

POST /api/v1/secret/{key}
curl \
 --request POST 'https://eu.onetimesecret.com/api/v1/secret/{key}' \
 --user "username:password" \
 --header "Content-Type: application/x-www-form-urlencoded"
Response examples (200)
{
  "value": "string",
  "secret_key": "string",
  "share_domain": "string"
}
Response examples (400)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (401)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (403)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (404)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (422)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (429)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}
Response examples (500)
{
  "error": "string",
  "message": "string",
  "field": "string",
  "error_id": "string"
}